# fbsql_list_tables

(PHP 4 >= 4.0.6, PHP 5, PHP 7)

fbsql_list_tables — List tables in a FrontBase database

### Description

fbsql_list_tables ( string `$database` [, resource `$link_identifier` ] ) : resource

Returns a result pointer describing the `database`.

### Parameters

`database`

  The database name.

`link_identifier`

  A FrontBase link identifier returned by fbsql_connect() or fbsql_pconnect().

  If optional and not specified, the function will try to find an open link to the FrontBase server and if no such link is found it will try to create one as if fbsql_connect() was called with no arguments.

### Return Values

Returns a result pointer which can be used with the fbsql_tablename() function to read the actual table names, or `FALSE` on error.

### See Also

- fbsql_list_fields() - List FrontBase result fields
- fbsql_list_dbs() - List databases available on a FrontBase server